# WRFotron

Installation instructions

1. Get WRFotron

  * go to the folder you want WRFotron to reside

  * clone the repository in there

    `git clone https://git.rz.uni-augsburg.de/knotechr/wrfotron.git`

  * subfolder `wrfotron` now contains your WRFotron installation

2. Set up a machine profile (if necessary)
  * create file with all commands to be executed prior to all runs, e.g. loading modules, setting ulimits, etc.:

    `machine_profiles/your_machine.bash`

  * link to root level as profile.bash

    `ln -s machine_profiles/your_machine.bash profile.bash`

3. Experiment setup
  * create a new experiment folder in blueprints, following the example

    `cp -r blueprints/example blueprints/your_experiment`

  * create an experiment config for your machine

    `cp -r blueprints/your_experiment/machine_specific/machine_example blueprints/your_experiment/machine_specific/your_machine`
    
  * adapt `config.bash` and the batch preambles in that folder to your environment

  * link to experiment folder

    `ln -s blueprints/your_experiment/machine_specific/alcc/batch_preambles blueprints/your_experiment/`
    
    `ln -s blueprints/your_experiment/machine_specific/alcc/config.bash blueprints/your_experiment/`

4. Test
  * make a run *(dates depend on the available data, obviously)*

    `. master.bash your_experiment 2001 01 01 00 24 06`
  
  * you should now have a run folder

    `${workDir}/your_experiment/2001-01-01_00:00:00-2001-01-02_00:00:00`

    ($workDir is set in the experiment config)

